## GnomeCanvasRect

GnomeCanvasRect — Rectangle canvas item

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

                        GnomeCanvasRect;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasShape
                               +----GnomeCanvasRE
                                     +----GnomeCanvasRect

## Description

A canvas item for drawing rectangles and squares. The parameters are defined in the parent classes including GnomeCanvasRE which is shared with GnomeCanvasEllipse items as well.

## Details

### GnomeCanvasRect

    typedef struct _GnomeCanvasRect GnomeCanvasRect;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.